#### D.14.1.34 multarr2arr

Procedure from library `arr.lib` (see arr_lib).

Usage:
  multarr2arr(multarr A, intvec v);

Return:
  [arr] arrangement A, with all multiplicities removed

Example:

    LIB "arr.lib";
    ring r = 0,(x,y,z),dp;
    multarr A=x2y3z5;   A;
    ==> _[1]=(x)^2
    ==> _[2]=(y)^3
    ==> _[3]=(z)^5
    ==>
    arr AS = multarr2arr(A); AS;
    ==> _[1]=x
    ==> _[2]=y
    ==> _[3]=z
    ==>

See also: arr2multarr; multarr2arr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.